> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/logika-biznesowa/jezyk-wyrazen-definiowania-warunkow-warunki-z-getvalue/atrybuty-komponentow.md).

# Component attributes

Common attributes are:

* value - returns the value
* displayValue - returns the displayed value
* visible - returns visibility

For attribute descriptions, refer to the documentation for each component.

<table><thead><tr><th width="282.433349609375">Component</th><th>Attributes</th></tr></thead><tbody><tr><td>Text field</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Text area</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Date</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Date range</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Plus/minus</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Formatted content (and collapsible)</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Value selection from list (Combobox)</td><td>label - text of the selected value<br>description - description of the selected value<br>size - length of the value list</td></tr><tr><td>Account selection</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Checkbox</td><td>moreInfoButtonClicked<br>value<br>displayValue<br>visible</td></tr><tr><td>Radio</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Radio group</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Tile group</td><td>content - returns displayValue<br>value<br>displayValue<br>visible</td></tr><tr><td>Tile</td><td>visible</td></tr><tr><td>Statements</td><td>statementsItemControl<br>value<br>displayValue<br>visible</td></tr><tr><td>Slider</td><td>sliderValue<br>value - (defaultValue)<br>displayValue<br>visible</td></tr><tr><td>Step Slider</td><td>sliderValue - value<br>value - (defaultValue)<br>displayValue<br>visible</td></tr><tr><td>Dual-range slider</td><td>value<br>displayValue<br>visible</td></tr><tr><td>A section</td><td>folded</td></tr><tr><td>Checkbox section</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Repeatable section</td><td>folded</td></tr><tr><td>Context help</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Product selection</td><td>variantId<br>productId<br>value<br>displayValue<br>visible</td></tr><tr><td>Picture card</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Attachments</td><td>totalFilesSize<br>fileNames<br>externalIds<br>value<br>displayValue<br>visible</td></tr><tr><td>Data confirmation component</td><td>wasEdited<br>value<br>displayValue<br>visible</td></tr><tr><td>QR code scanner</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Map</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Specialized component</td><td>value<br>displayValue<br>visible</td></tr><tr><td>Frontend component</td><td>value<br>displayValue<br>visible</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/logika-biznesowa/jezyk-wyrazen-definiowania-warunkow-warunki-z-getvalue/atrybuty-komponentow.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
